-- Buff types
SMARTBUFF_CONST_GROUP     = "GROUP";
SMARTBUFF_CONST_SELF      = "SELF";
SMARTBUFF_CONST_FORCESELF = "FORCESELF";
SMARTBUFF_CONST_TRACK     = "TRACK";
SMARTBUFF_CONST_WEAPON    = "WEAPON";
SMARTBUFF_CONST_INV       = "INVENTORY";
SMARTBUFF_CONST_FOOD      = "FOOD";


-- Druid
SMARTBUFF_DRUID = {
  {SMARTBUFF_MOTW, 30, SMARTBUFF_CONST_GROUP, {1,10,20,30,40,50,60,70}, "WPET", SMARTBUFF_GOTW, 60, {50,60,70}, {SMARTBUFF_WILDBERRIES,SMARTBUFF_WILDTHORNROOT,SMARTBUFF_WILDQUILLVINE}},
  {SMARTBUFF_THORNS, 10, SMARTBUFF_CONST_GROUP, {6,14,24,34,44,54,64}, "MAGE;PRIEST;WARLOCK;WPET;" .. SMARTBUFF_DRUID_MOONKIN},
  {SMARTBUFF_OMENOFCLARITY, 30, SMARTBUFF_CONST_SELF, nil, SMARTBUFF_DRUID_MOONKIN},
  {SMARTBUFF_BARKSKIN, 0.25, SMARTBUFF_CONST_SELF, nil, SMARTBUFF_DRUID_MOONKIN},
  {SMARTBUFF_NATURESGRASP, 0.75, SMARTBUFF_CONST_FORCESELF},
  {SMARTBUFF_TIGERSFURY, 0.1, SMARTBUFF_CONST_SELF, nil, SMARTBUFF_DRUID_CAT}
};

-- Mage
SMARTBUFF_MAGE = {
  {SMARTBUFF_AI, 30, SMARTBUFF_CONST_GROUP, {1,14,28,42,56,70}, "ROGUE;WARRIOR;HPET;WPET", SMARTBUFF_AB, 60, {56,70}, {SMARTBUFF_ARCANEPOWDER,SMARTBUFF_ARCANEPOWDER}},
  {SMARTBUFF_ICEARMOR, 30, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_FROSTARMOR, 30, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_MAGEARMOR, 30, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_MOLTENARMOR, 30, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_DAMPENMAGIC, 10, SMARTBUFF_CONST_GROUP, {12,24,36,48,60,67}, "HPET;WPET"},
  {SMARTBUFF_AMPLIFYMAGIC, 10, SMARTBUFF_CONST_GROUP, {18,30,42,54,63,69}, "HPET;WPET"},
  {SMARTBUFF_MANASHIELD, 1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_FIREWARD, 0.5, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_FROSTWARD, 0.5, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_ICEBARRIER, 1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_COMBUSTION, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_ARCANEPOWER, 0.25, SMARTBUFF_CONST_SELF}
};

-- Priest
SMARTBUFF_PRIEST = {
  {SMARTBUFF_PWF, 30, SMARTBUFF_CONST_GROUP, {1,12,24,36,48,60,70}, "WPET", SMARTBUFF_POF, 60, {48,60,70}, {SMARTBUFF_HOLYCANDLE,SMARTBUFF_SACREDCANDLE,SMARTBUFF_SACREDCANDLE}},
  {SMARTBUFF_SP, 10, SMARTBUFF_CONST_GROUP, {30,42,56,68}, "WPET", SMARTBUFF_POSP, 20, {56,70}, {SMARTBUFF_SACREDCANDLE,SMARTBUFF_SACREDCANDLE}},
  {SMARTBUFF_INNERFIRE, 10, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_DS, 30, SMARTBUFF_CONST_GROUP, {40,42,54,60,70}, "ROGUE;WARRIOR;HPET;WPET", SMARTBUFF_POS, 60, {60,70}, {SMARTBUFF_SACREDCANDLE,SMARTBUFF_SACREDCANDLE}},
  {SMARTBUFF_PWS, 0.5, SMARTBUFF_CONST_GROUP, {6,12,18,24,30,36,42,48,54,60,65,70}, "MAGE;WARLOCK;ROGUE;PALADIN;WARRIOR;DRUID;HUNTER;SHAMAN;HPET;WPET"},
  {SMARTBUFF_FEARWARD, 10, SMARTBUFF_CONST_GROUP, {20}},
  {SMARTBUFF_ELUNESGRACE, 0.25, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_FEEDBACK, 0.25, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SHADOWGUARD, 10, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_TOUCHOFWEAKNESS, 10, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_INNERFOCUS, -1, SMARTBUFF_CONST_SELF}
};

-- Warlock
SMARTBUFF_WARLOCK = {
  {SMARTBUFF_FELARMOR, 30, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_DEMONARMOR, 30, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_DEMONSKIN, 30, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_UNENDINGBREATH, 10, SMARTBUFF_CONST_GROUP, {16}, "HPET;WPET"},
  {SMARTBUFF_DGINVISIBILITY, 10, SMARTBUFF_CONST_GROUP, {50}, "HPET;WPET"},
  {SMARTBUFF_DINVISIBILITY, 10, SMARTBUFF_CONST_GROUP, {38}, "HPET;WPET"},
  {SMARTBUFF_DLINVISIBILITY, 10, SMARTBUFF_CONST_GROUP, {26}, "HPET;WPET"},
  {SMARTBUFF_SOULLINK, 0, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SHADOWWARD, 0.5, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_DARKPACT, 0.5, SMARTBUFF_CONST_SELF}
};

-- Hunter
SMARTBUFF_HUNTER = {
  {SMARTBUFF_TRUESHOTAURA, 30, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_RAPIDFIRE, 0.2, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_AOTH, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_AOTM, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_AOTV, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_AOTW, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_AOTB, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_AOTC, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_AOTP, -1, SMARTBUFF_CONST_SELF}
};

-- Shaman
SMARTBUFF_SHAMAN = {
  {SMARTBUFF_LIGHTNINGSHIELD, 10, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_WATERSHIELD, 10, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_EARTHSHIELD, 10, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_WINDFURYW, 30, SMARTBUFF_CONST_WEAPON},
  {SMARTBUFF_FLAMETONGUEW, 30, SMARTBUFF_CONST_WEAPON},
  {SMARTBUFF_FROSTBRANDW, 30, SMARTBUFF_CONST_WEAPON},
  {SMARTBUFF_ROCKBITERW, 30, SMARTBUFF_CONST_WEAPON},
  {SMARTBUFF_WATERBREATHING, 10, SMARTBUFF_CONST_GROUP, {22}}
};

-- Warrior
SMARTBUFF_WARRIOR = {
  {SMARTBUFF_BATTLESHOUT, 2, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_COMMANDINGSHOUT, 2, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_BERSERKERRAGE, 0.165, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_BLOODRAGE, 0.165, SMARTBUFF_CONST_SELF}
};

-- Rogue
SMARTBUFF_ROGUE = {
  {SMARTBUFF_BLADEFLURRY, 0.165, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SAD, 0.2, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_EVASION, 0.2, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_INSTANTPOISON.." VII",  30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_INSTANTPOISON.." VI",   30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_INSTANTPOISON.." V",    30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_INSTANTPOISON.." IV",   30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_INSTANTPOISON.." III",  30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_INSTANTPOISON.." II",   30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_INSTANTPOISON,          30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WOUNDPOISON.." V",      30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WOUNDPOISON.." IV",     30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WOUNDPOISON.." III",    30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WOUNDPOISON.." II",     30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WOUNDPOISON,            30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_MINDPOISON.." III",     30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_MINDPOISON.." II",      30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_MINDPOISON,             30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_DEADLYPOISON.." VII",   30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_DEADLYPOISON.." VI",    30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_DEADLYPOISON.." V",     30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_DEADLYPOISON.." IV",    30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_DEADLYPOISON.." III",   30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_DEADLYPOISON.." II",    30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_DEADLYPOISON,           30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_CRIPPLINGPOISON.." II", 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_CRIPPLINGPOISON,        30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_ANESTHETICPOISON,       30, SMARTBUFF_CONST_INV}
};

-- Paladin
SMARTBUFF_PALADIN = {
  {SMARTBUFF_RIGHTEOUSFURY, 30, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_HOLYSHIELD, 0.165, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_BOM, 5, SMARTBUFF_CONST_GROUP, {4,12,22,32,42,52,60,70}, "DRUID;MAGE;PRIEST;SHAMAN;WARLOCK;WPET", SMARTBUFF_GBOM, 15, {52,60,70}, {SMARTBUFF_SYMBOLOFKINGS,SMARTBUFF_SYMBOLOFKINGS,SMARTBUFF_SYMBOLOFKINGS} },
  {SMARTBUFF_BOW, 5, SMARTBUFF_CONST_GROUP, {14,24,34,44,54,60,65}, "ROGUE;WARRIOR;HPET;WPET", SMARTBUFF_GBOW, 15, {54,60,65}, {SMARTBUFF_SYMBOLOFKINGS,SMARTBUFF_SYMBOLOFKINGS,SMARTBUFF_SYMBOLOFKINGS} },
  {SMARTBUFF_BOSAL, 5, SMARTBUFF_CONST_GROUP, {26}, "WARRIOR;HPET;WPET", SMARTBUFF_GBOSAL, 15, {60}, {SMARTBUFF_SYMBOLOFKINGS} },
  {SMARTBUFF_BOK, 5, SMARTBUFF_CONST_GROUP, {20}, "WPET", SMARTBUFF_GBOK, 15, {60}, {SMARTBUFF_SYMBOLOFKINGS} },
  {SMARTBUFF_BOSAN, 5, SMARTBUFF_CONST_GROUP, {30,40,50,60,70}, "DRUID;HUNTER;MAGE;PRIEST;ROGUE;SHAMAN;WARLOCK;HPET;WPET", SMARTBUFF_GBOSAN, 15, {60,70}, {SMARTBUFF_SYMBOLOFKINGS,SMARTBUFF_SYMBOLOFKINGS} },
  {SMARTBUFF_BOL, 5, SMARTBUFF_CONST_GROUP, {40,50,60,69}, "WPET", SMARTBUFF_GBOL, 15, {60,69}, {SMARTBUFF_SYMBOLOFKINGS,SMARTBUFF_SYMBOLOFKINGS} },
  --{SMARTBUFF_BOF, 0.165, SMARTBUFF_CONST_GROUP, {18}},
  --{SMARTBUFF_BOP, 1, SMARTBUFF_CONST_GROUP, {10,24,38}},
  {SMARTBUFF_SOCOMMAND, 0.5, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SOFURY, 0.5, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SOJUSTICE, 0.5, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SOLIGHT, 0.5, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SORIGHTEOUSNESS, 0.5, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SOWISDOM, 0.5, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SOTCRUSADER, 0.5, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_DEVOTIONAURA, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_RETRIBUTIONAURA, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_CONCENTRATIONAURA, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SHADOWRESISTANCEAURA, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_FROSTRESISTANCEAURA, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_FIRERESISTANCEAURA, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_SANCTITYAURA, -1, SMARTBUFF_CONST_SELF},
  {SMARTBUFF_CRUSADERAURA, -1, SMARTBUFF_CONST_SELF}
};

-- Stones and oils
SMARTBUFF_WEAPON = {
  {SMARTBUFF_SSROUGH, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_SSCOARSE, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_SSHEAVY, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_SSSOLID, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_SSDENSE, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_SSELEMENTAL, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WSROUGH, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WSCOARSE, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WSHEAVY, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WSSOLID, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WSDENSE, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_SHADOWOIL, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_FROSTOIL, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_MANAOILMINOR, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_MANAOILLESSER, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_MANAOILBRILLIANT, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_MANAOILSUPERIOR, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WIZARDOILMINOR, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WIZARDOILLESSER, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WIZARDOIL, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WIZARDOILBRILLIANT, 30, SMARTBUFF_CONST_INV},
  {SMARTBUFF_WIZARDOILSUPERIOR, 30, SMARTBUFF_CONST_INV}
};

-- Tracking
SMARTBUFF_TRACKING = {
  {SMARTBUFF_FINDMINERALS, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_FINDHERBS, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_FINDTREASURE, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_TRACKHUMANOIDS, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_TRACKBEASTS, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_TRACKUNDEAD, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_TRACKHIDDEN, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_TRACKELEMENTALS, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_TRACKDEMONS, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_TRACKGIANTS, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_TRACKDRAGONKIN, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_SENSEDEMONS, -1, SMARTBUFF_CONST_TRACK},
  {SMARTBUFF_SENSEUNDEAD, -1, SMARTBUFF_CONST_TRACK}
};

-- Racial
SMARTBUFF_RACIAL = {
  {SMARTBUFF_STONEFORM, 0.133, SMARTBUFF_CONST_SELF}, -- Dwarv
  {SMARTBUFF_PRECEPTION, 0.333, SMARTBUFF_CONST_SELF}, -- Human
  {SMARTBUFF_BLOODFURY, 0.416, SMARTBUFF_CONST_SELF}, -- Orc
  {SMARTBUFF_BERSERKING, 0.166, SMARTBUFF_CONST_SELF}, -- Troll
  {SMARTBUFF_WOTFORSAKEN, 0.083, SMARTBUFF_CONST_SELF} -- Undead
};

-- FOOD
SMARTBUFF_FOOD = {
  {SMARTBUFF_SPICYCRAWDAD, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_MOKNATHALSHORTRIBS, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_CRUNCHYSERPENT, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_GOLDENFISHSTICKS, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_WARPBURGER, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_ROASTEDCLEFTHOOF, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_POACHEDBLUEFISH, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_GRILLEDMUDFISH, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_BLACKENEDBASILISK, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_BLACKENEDSPOREFISH, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_SPORELINGSNACK, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_CLAMBAR, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_FELTAILDELIGHT, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_RAVAGERDOG, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_BUZZARDBITES, 30, SMARTBUFF_CONST_FOOD},
  {SMARTBUFF_SAGEFISHDELIGHT, 15, SMARTBUFF_CONST_FOOD}
};


-- CTRA buff list
SMARTBUFF_CTRABUFFS = { };
SMARTBUFF_CTRABUFFS[1] =  {SMARTBUFF_PWF, SMARTBUFF_POF};
SMARTBUFF_CTRABUFFS[2] =  {SMARTBUFF_MOTW, SMARTBUFF_GOTW};
SMARTBUFF_CTRABUFFS[3] =  {SMARTBUFF_AI, SMARTBUFF_AB};
-- 4th is missing in CTRA as well
SMARTBUFF_CTRABUFFS[5] =  {SMARTBUFF_SP, SMARTBUFF_POSP};
SMARTBUFF_CTRABUFFS[6] =  {SMARTBUFF_PWS};
SMARTBUFF_CTRABUFFS[7] =  {SMARTBUFF_SOULSTONE};
SMARTBUFF_CTRABUFFS[8] =  {SMARTBUFF_DS, SMARTBUFF_POS};
SMARTBUFF_CTRABUFFS[9] =  {SMARTBUFF_THORNS};
SMARTBUFF_CTRABUFFS[10] = {SMARTBUFF_FEARWARD};
SMARTBUFF_CTRABUFFS[11] = {SMARTBUFF_BOM, SMARTBUFF_GBOM};
SMARTBUFF_CTRABUFFS[12] = {SMARTBUFF_BOW, SMARTBUFF_GBOW};
SMARTBUFF_CTRABUFFS[13] = {SMARTBUFF_BOK, SMARTBUFF_GBOK};
SMARTBUFF_CTRABUFFS[14] = {SMARTBUFF_BOSAL, SMARTBUFF_GBOSAL};
SMARTBUFF_CTRABUFFS[15] = {SMARTBUFF_BOL, SMARTBUFF_GBOL};
SMARTBUFF_CTRABUFFS[16] = {SMARTBUFF_BOSAN, SMARTBUFF_GBOSAN};
SMARTBUFF_CTRABUFFS[17] = {SMARTBUFF_RENEW};
SMARTBUFF_CTRABUFFS[18] = {SMARTBUFF_REJUVENATION};
SMARTBUFF_CTRABUFFS[19] = {SMARTBUFF_REGROWTH};
SMARTBUFF_CTRABUFFS[20] = {SMARTBUFF_AMPLIFYMAGIC};
SMARTBUFF_CTRABUFFS[21] = {SMARTBUFF_DAMPENMAGIC};

--[[
SMARTBUFF_CTRABUFFARRAY = {
	{ ["show"] = 1, ["name"] = {SMARTBUFF_PWF, SMARTBUFF_POF}, ["index"] = 1 },
	{ ["show"] = 1, ["name"] = {SMARTBUFF_MOTW, SMARTBUFF_GOTW}, ["index"] = 2 },
	{ ["show"] = 1, ["name"] = {SMARTBUFF_AI, SMARTBUFF_AB}, ["index"] = 3 },
	-- 4th is missing in CTRA as well
	{ ["show"] = 1, ["name"] = {SMARTBUFF_SP, SMARTBUFF_POSP}, ["index"] = 5 },
	{ ["show"] = 1, ["name"] = SMARTBUFF_PWS, ["index"] = 6 },
	{ ["show"] = 1, ["name"] = SMARTBUFF_SOULSTONE, ["index"] = 7 },
	{ ["show"] = 1, ["name"] = {SMARTBUFF_DS, SMARTBUFF_POS}, ["index"] = 8 },
	{ ["show"] = 1, ["name"] = SMARTBUFF_THORNS, ["index"] = 9 },
	{ ["show"] = 1, ["name"] = SMARTBUFF_FEARWARD, ["index"] = 10 },
	{ ["show"] = 1, ["name"] = {SMARTBUFF_BOM, SMARTBUFF_GBOM}, ["index"] = 11 },
	{ ["show"] = 1, ["name"] = {SMARTBUFF_BOW, SMARTBUFF_GBOW}, ["index"] = 12 },
	{ ["show"] = 1, ["name"] = {SMARTBUFF_BOK, SMARTBUFF_GBOK}, ["index"] = 13 },
	{ ["show"] = 1, ["name"] = {SMARTBUFF_BOSAL, SMARTBUFF_GBOSAL}, ["index"] = 14 },
	{ ["show"] = 1, ["name"] = {SMARTBUFF_BOL, SMARTBUFF_GBOL}, ["index"] = 15 },
	{ ["show"] = 1, ["name"] = {SMARTBUFF_BOSAN, SMARTBUFF_GBOSAN}, ["index"] = 16 },
	{ ["show"] = 1, ["name"] = SMARTBUFF_RENEW, ["index"] = 17 },
	{ ["show"] = 1, ["name"] = SMARTBUFF_REJUVENATION, ["index"] = 18 },
	{ ["show"] = 1, ["name"] = SMARTBUFF_REGROWTH, ["index"] = 19 },
	{ ["show"] = 1, ["name"] = SMARTBUFF_AMPLIFYMAGIC, ["index"] = 20 },
	{ ["show"] = 1, ["name"] = SMARTBUFF_DAMPENMAGIC, ["index"] = 21 }
}
]]--
