-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------

-- Druid
SMARTBUFF_DRUID_CAT = "Cat Form";
SMARTBUFF_DRUID_MOONKIN = "Moonkin Form";
SMARTBUFF_DRUID_TRACK = "Track Humanoids";

SMARTBUFF_MOTW = "Mark of the Wild";
SMARTBUFF_GOTW = "Gift of the Wild";
SMARTBUFF_THORNS = "Thorns";
SMARTBUFF_OMENOFCLARITY = "Omen of Clarity";
SMARTBUFF_BARKSKIN = "Barkskin";
SMARTBUFF_NATURESGRASP = "Nature's Grasp";
SMARTBUFF_TIGERSFURY = "Tiger's Fury";
SMARTBUFF_REJUVENATION = "Rejuvenation";
SMARTBUFF_REGROWTH = "Regrowth";

SMARTBUFF_REMOVECURSE = "Remove Curse";
SMARTBUFF_ABOLISHPOISON = "Abolish Poison";

-- Mage
SMARTBUFF_AI = "Arcane Intellect";
SMARTBUFF_AB = "Arcane Brilliance";
SMARTBUFF_ICEARMOR = "Ice Armor";
SMARTBUFF_FROSTARMOR = "Frost Armor";
SMARTBUFF_MAGEARMOR = "Mage Armor";
SMARTBUFF_MOLTENARMOR = "Molten Armor";
SMARTBUFF_DAMPENMAGIC = "Dampen Magic";
SMARTBUFF_AMPLIFYMAGIC = "Amplify Magic";
SMARTBUFF_MANASHIELD = "Mana Shield";
SMARTBUFF_FIREWARD = "Fire Ward";
SMARTBUFF_FROSTWARD = "Frost Ward";
SMARTBUFF_ICEBARRIER = "Ice Barrier";
SMARTBUFF_COMBUSTION = "Combustion";
SMARTBUFF_ARCANEPOWER = "Arcane Power";

SMARTBUFF_MAGE_PATTERN = {"%a+ Armor$"};

-- Priest
SMARTBUFF_PWF = "Power Word: Fortitude";
SMARTBUFF_POF = "Prayer of Fortitude";
SMARTBUFF_SP = "Shadow Protection";
SMARTBUFF_POSP = "Prayer of Shadow Protection";
SMARTBUFF_INNERFIRE = "Inner Fire";
SMARTBUFF_DS = "Divine Spirit";
SMARTBUFF_POS = "Prayer of Spirit";
SMARTBUFF_PWS = "Power Word: Shield";
SMARTBUFF_FEARWARD = "Fear Ward";
SMARTBUFF_ELUNESGRACE = "Elune's Grace";
SMARTBUFF_FEEDBACK = "Feedback";
SMARTBUFF_SHADOWGUARD = "Shadowguard";
SMARTBUFF_TOUCHOFWEAKNESS = "Touch of Weakness";
SMARTBUFF_INNERFOCUS = "Inner Focus";
SMARTBUFF_RENEW = "Renew";

-- Warlock
SMARTBUFF_FELARMOR = "Fel Armor";
SMARTBUFF_DEMONARMOR = "Demon Armor";
SMARTBUFF_DEMONSKIN = "Demon Skin";
SMARTBUFF_UNENDINGBREATH = "Unending Breath";
SMARTBUFF_DGINVISIBILITY = "Detect Greater Invisibility";
SMARTBUFF_DINVISIBILITY = "Detect Invisibility";
SMARTBUFF_DLINVISIBILITY = "Detect Lesser Invisibility";
SMARTBUFF_SOULLINK = "Soul Link";
SMARTBUFF_SHADOWWARD = "Shadow Ward";
SMARTBUFF_DARKPACT = "Dark Pact";
SMARTBUFF_SOULSTONE = "Soulstone Resurrection";

SMARTBUFF_WARLOCK_PATTERN = {"^Demon %a+", "^Detect %a+ Invisibility$"};

-- Hunter
SMARTBUFF_TRUESHOTAURA = "Trueshot Aura";
SMARTBUFF_RAPIDFIRE = "Rapid Fire";
SMARTBUFF_AOTH = "Aspect of the Hawk";
SMARTBUFF_AOTM = "Aspect of the Monkey";
SMARTBUFF_AOTW = "Aspect of the Wild";
SMARTBUFF_AOTB = "Aspect of the Beast";
SMARTBUFF_AOTC = "Aspect of the Cheetah";
SMARTBUFF_AOTP = "Aspect of the Pack";
SMARTBUFF_AOTV = "Aspect of the Viper";

SMARTBUFF_HUNTER_PATTERN = {"^Aspect of"};

-- Shaman
SMARTBUFF_LIGHTNINGSHIELD = "Lightning Shield";
SMARTBUFF_WATERSHIELD = "Water Shield";
SMARTBUFF_EARTHSHIELD = "Earth Shield";
SMARTBUFF_ROCKBITERW = "Rockbiter Weapon";
SMARTBUFF_FROSTBRANDW = "Frostbrand Weapon";
SMARTBUFF_FLAMETONGUEW = "Flametongue Weapon";
SMARTBUFF_WINDFURYW = "Windfury Weapon";
SMARTBUFF_WATERBREATHING = "Water Breathing";

SMARTBUFF_SHAMAN_PATTERN = {"%a+ Shield$"};

-- Warrior
SMARTBUFF_BATTLESHOUT = "Battle Shout";
SMARTBUFF_COMMANDINGSHOUT = "Commanding Shout";
SMARTBUFF_BERSERKERRAGE = "Berserker Rage";
SMARTBUFF_BLOODRAGE = "Bloodrage";

-- Rogue
SMARTBUFF_BLADEFLURRY = "Blade Flurry";
SMARTBUFF_SAD = "Slice and Dice";
SMARTBUFF_EVASION = "Evasion";
SMARTBUFF_INSTANTPOISON = "Instant Poison";
SMARTBUFF_WOUNDPOISON = "Wound Poison";
SMARTBUFF_MINDPOISON = "Mind\194\173numbing Poison";
SMARTBUFF_DEADLYPOISON = "Deadly Poison";
SMARTBUFF_CRIPPLINGPOISON = "Crippling Poison";
SMARTBUFF_ANESTHETICPOISON = "Anesthetic Poison";

SMARTBUFF_MINDPOISON2 = "Mind\45numbing Poison II";
SMARTBUFF_MINDPOISON3 = "Mind\194\173numbing Poison III";


-- Paladin
SMARTBUFF_RIGHTEOUSFURY = "Righteous Fury";
SMARTBUFF_HOLYSHIELD = "Holy Shield";
SMARTBUFF_BOM = "Blessing of Might";
SMARTBUFF_GBOM = "Greater Blessing of Might";
SMARTBUFF_BOW = "Blessing of Wisdom";
SMARTBUFF_GBOW = "Greater Blessing of Wisdom";
SMARTBUFF_BOSAL = "Blessing of Salvation";
SMARTBUFF_GBOSAL = "Greater Blessing of Salvation";
SMARTBUFF_BOK = "Blessing of Kings";
SMARTBUFF_GBOK = "Greater Blessing of Kings";
SMARTBUFF_BOSAN = "Blessing of Sanctuary";
SMARTBUFF_GBOSAN = "Greater Blessing of Sanctuary";
SMARTBUFF_BOL = "Blessing of Light";
SMARTBUFF_GBOL = "Greater Blessing of Light";
SMARTBUFF_BOF = "Blessing of Freedom";
SMARTBUFF_BOP = "Blessing of Protection";
SMARTBUFF_SOCOMMAND = "Seal of Command";
SMARTBUFF_SOFURY = "Seal of Fury";
SMARTBUFF_SOJUSTICE = "Seal of Justice";
SMARTBUFF_SOLIGHT = "Seal of Light";
SMARTBUFF_SORIGHTEOUSNESS = "Seal of Righteousness";
SMARTBUFF_SOWISDOM = "Seal of Wisdom";
SMARTBUFF_SOTCRUSADER = "Seal of the Crusader";
SMARTBUFF_DEVOTIONAURA = "Devotion Aura";
SMARTBUFF_RETRIBUTIONAURA = "Retribution Aura";
SMARTBUFF_CONCENTRATIONAURA = "Concentration Aura";
SMARTBUFF_SHADOWRESISTANCEAURA = "Shadow Resistance Aura";
SMARTBUFF_FROSTRESISTANCEAURA = "Frost Resistance Aura";
SMARTBUFF_FIRERESISTANCEAURA = "Fire Resistance Aura";
SMARTBUFF_SANCTITYAURA = "Sanctity Aura";
SMARTBUFF_CRUSADERAURA = "Crusader Aura";

SMARTBUFF_PALADIN_PATTERN = {"^Seal of %a+"};

-- Stones and oils
SMARTBUFF_SSROUGH = "Rough Sharpening Stone";
SMARTBUFF_SSCOARSE = "Coarse Sharpening Stone";
SMARTBUFF_SSHEAVY = "Heavy Sharpening Stone";
SMARTBUFF_SSSOLID = "Solid Sharpening Stone";
SMARTBUFF_SSDENSE = "Dense Sharpening Stone";
SMARTBUFF_SSELEMENTAL = "Elemental Sharpening Stone";
SMARTBUFF_WSROUGH = "Rough Weightstone";
SMARTBUFF_WSCOARSE = "Coarse Weightstone";
SMARTBUFF_WSHEAVY = "Heavy Weightstone";
SMARTBUFF_WSSOLID = "Solid Weightstone";
SMARTBUFF_WSDENSE = "Dense Weightstone";
SMARTBUFF_SHADOWOIL = "Shadow Oil";
SMARTBUFF_FROSTOIL = "Frost Oil";
SMARTBUFF_MANAOILMINOR = "Minor Mana Oil";
SMARTBUFF_MANAOILLESSER = "Lesser Mana Oil";
SMARTBUFF_MANAOILBRILLIANT = "Brilliant Mana Oil";
SMARTBUFF_MANAOILSUPERIOR = "Superior Mana Oil";
SMARTBUFF_WIZARDOILMINOR = "Minor Wizard Oil";
SMARTBUFF_WIZARDOILLESSER = "Lesser Wizard Oil";
SMARTBUFF_WIZARDOIL = "Wizard Oil";
SMARTBUFF_WIZARDOILBRILLIANT = "Brilliant Wizard Oil";
SMARTBUFF_WIZARDOILSUPERIOR = "Superior Wizard Oil";

SMARTBUFF_WEAPON_STANDARD = {"Daggers", "Axes", "Swords", "Maces", "Staves", "Fist Weapons", "Polearms"};
SMARTBUFF_WEAPON_BLUNT = {"Maces", "Staves", "Fist Weapons"};
SMARTBUFF_WEAPON_BLUNT_PATTERN = "Weightstone$";
SMARTBUFF_WEAPON_SHARP = {"Daggers", "Axes", "Swords", "Polearms"};
SMARTBUFF_WEAPON_SHARP_PATTERN = "Sharpening Stone$";

-- Tracking
SMARTBUFF_FINDMINERALS = "Find Minerals";
SMARTBUFF_FINDHERBS = "Find Herbs";
SMARTBUFF_FINDTREASURE = "Find Treasure";
SMARTBUFF_TRACKHUMANOIDS = "Track Humanoids";
SMARTBUFF_TRACKBEASTS = "Track Beasts";
SMARTBUFF_TRACKUNDEAD = "Track Undead";
SMARTBUFF_TRACKHIDDEN = "Track Hidden";
SMARTBUFF_TRACKELEMENTALS = "Track Elementals";
SMARTBUFF_TRACKDEMONS = "Track Demons";
SMARTBUFF_TRACKGIANTS = "Track Giants";
SMARTBUFF_TRACKDRAGONKIN = "Track Dragonkin";
SMARTBUFF_SENSEDEMONS = "Sense Demons";
SMARTBUFF_SENSEUNDEAD = "Sense Undead";

-- Racial
SMARTBUFF_STONEFORM = "Stoneform";
SMARTBUFF_PRECEPTION = "Perception";
SMARTBUFF_BLOODFURY = "Blood Fury";
SMARTBUFF_BERSERKING = "Berserking";
SMARTBUFF_WOTFORSAKEN = "Will of the Forsaken";

-- Reagents
SMARTBUFF_WILDBERRIES = "Wild Berries";
SMARTBUFF_WILDTHORNROOT = "Wild Thornroot";
SMARTBUFF_WILDQUILLVINE = "Wild Quillvine";
SMARTBUFF_ARCANEPOWDER = "Arcane Powder";
SMARTBUFF_HOLYCANDLE = "Holy Candle";
SMARTBUFF_SACREDCANDLE = "Sacred Candle";
SMARTBUFF_SYMBOLOFKINGS = "Symbol of Kings";

-- Food
--SMARTBUFF_ = "";
SMARTBUFF_SAGEFISHDELIGHT = "Sagefish Delight";
SMARTBUFF_BUZZARDBITES = "Buzzard Bites";
SMARTBUFF_RAVAGERDOG = "Ravager Dog";
SMARTBUFF_FELTAILDELIGHT = "Feltail Delight";
SMARTBUFF_CLAMBAR = "Clam Bar";
SMARTBUFF_SPORELINGSNACK = "Sporeling Snack";
SMARTBUFF_BLACKENEDSPOREFISH = "Blackened Sporefish";
SMARTBUFF_BLACKENEDBASILISK = "Blackened Basilisk";
SMARTBUFF_GRILLEDMUDFISH = "Grilled Mudfish";
SMARTBUFF_POACHEDBLUEFISH = "Poached Bluefish";
SMARTBUFF_ROASTEDCLEFTHOOF = "Roasted Clefthoof";
SMARTBUFF_WARPBURGER = "Warp Burger";
SMARTBUFF_GOLDENFISHSTICKS = "Golden Fish Sticks";
SMARTBUFF_CRUNCHYSERPENT = "Crunchy Serpent";
SMARTBUFF_MOKNATHALSHORTRIBS = "Mok'Nathal Shortribs";
SMARTBUFF_SPICYCRAWDAD = "Spicy Crawdad";

SMARTBUFF_FOOD_AURA = "Well Fed";


-- Creature type
SMARTBUFF_HUMANOID  = "Humanoid";
SMARTBUFF_DEMON     = "Demon";
SMARTBUFF_BEAST     = "Beast";
SMARTBUFF_ELEMENTAL = "Elemental";
SMARTBUFF_DEMONTYPE = "Imp";

-- Classes
SMARTBUFF_CLASSES = {"Druid", "Hunter", "Mage", "Paladin", "Priest", "Rogue", "Shaman", "Warlock", "Warrior", "Hunter Pet", "Warlock Pet"};

-- Templates and Instances
SMARTBUFF_TEMPLATES = {"Solo", "Party", "Raid", "Battleground", "MC", "Ony", "BWL", "Naxx", "AQ", "ZG", "Custom 1", "Custom 2", "Custom 3", "Custom 4", "Custom 5"};
SMARTBUFF_INSTANCES = {"Molten Core", "Onyxia's Lair", "Blackwing Lair", "Naxxramas", "Ahn'Qiraj", "Zul'Gurub", "Alterac Valley", "Arathi Basin", "Warsong Gulch", "Blade's Edge", "Nagrand Arena"};

-- Mount
SMARTBUFF_MOUNT = "Increases speed by (%d+)%%.";

-- Bindings
BINDING_NAME_SMARTBUFF_BIND_TRIGGER = "Trigger";
BINDING_NAME_SMARTBUFF_BIND_TARGET  = "Target";
BINDING_NAME_SMARTBUFF_BIND_OPTIONS = "Option menu";
BINDING_NAME_SMARTBUFF_BIND_RESETBUFFTIMERS = "Reset buff timers";

-- Options Frame Text
SMARTBUFF_OFT                = "SmartBuff On/Off";
SMARTBUFF_OFT_MENU           = "Show/hide options menu";
SMARTBUFF_OFT_AUTO           = "Reminder";
SMARTBUFF_OFT_AUTOTIMER      = "Check timer";
SMARTBUFF_OFT_AUTOCOMBAT     = "in combat";
SMARTBUFF_OFT_AUTOCHAT       = "Chat";
SMARTBUFF_OFT_AUTOSPLASH     = "Splash";
SMARTBUFF_OFT_AUTOSOUND      = "Sound";
SMARTBUFF_OFT_AUTOREST       = "Disable in cities";
SMARTBUFF_OFT_HUNTERPETS     = "Buff Hunter pets";
SMARTBUFF_OFT_WARLOCKPETS    = "Buff Warlock pets";
SMARTBUFF_OFT_ARULES         = "Advance rules";
SMARTBUFF_OFT_GRP            = "Raid Subgroups to buff";
SMARTBUFF_OFT_SUBGRPCHANGED  = "Open options menu";
SMARTBUFF_OFT_BUFFS          = "Buffs/Abilities";
SMARTBUFF_OFT_TARGET         = "Buffs the selected target";
SMARTBUFF_OFT_DONE           = "Done";
SMARTBUFF_OFT_APPLY          = "Apply";
SMARTBUFF_OFT_GRPBUFFSIZE    = "Group size";
SMARTBUFF_OFT_CLASSBUFFSIZE  = "Class size";
SMARTBUFF_OFT_MESSAGES       = "Disable messages";
SMARTBUFF_OFT_MSGNORMAL      = "normal";
SMARTBUFF_OFT_MSGWARNING     = "warning";
SMARTBUFF_OFT_MSGERROR       = "error";
SMARTBUFF_OFT_HIDEMMBUTTON   = "Hide minimap button";
SMARTBUFF_OFT_REBUFFTIMER    = "Rebuff Timer";
SMARTBUFF_OFT_AUTOSWITCHTMP  = "Switch template";
SMARTBUFF_OFT_SELFFIRST      = "Self first";
SMARTBUFF_OFT_SCROLLWHEEL    = "Buff on scroll";
SMARTBUFF_OFT_SCROLLWHEELUP  = "Buff on scrollwheel up";
SMARTBUFF_OFT_SCROLLWHEELDOWN= "down";
SMARTBUFF_OFT_TARGETSWITCH   = "target change";
SMARTBUFF_OFT_BUFFTARGET     = "Buff target";
SMARTBUFF_OFT_BUFFPVP        = "Buff PvP";
SMARTBUFF_OFT_AUTOSWITCHTMPINST = "Instances";
SMARTBUFF_OFT_CHECKCHARGES   = "Check charges";
SMARTBUFF_OFT_RBT            = "Reset BT";
SMARTBUFF_OFT_BUFFINCITIES   = "Buff in cities";
SMARTBUFF_OFT_CTRASYNC       = "CTRA sync";
SMARTBUFF_OFT_ADVGRPBUFFCHECK = "Grp buff check";
SMARTBUFF_OFT_ADVGRPBUFFRANGE = "Grp range check";
SMARTBUFF_OFT_BLDURATION     = "Blacklisted";
SMARTBUFF_OFT_COMPMODE       = "Comp. mode";
SMARTBUFF_OFT_MINIGRP        = "Mini group";
SMARTBUFF_OFT_ANTIDAZE       = "Anti daze";
SMARTBUFF_OFT_HIDESABUTTON   = "Hide action button";
SMARTBUFF_OFT_INCOMBAT       = "in combat";
SMARTBUFF_OFT_SMARTDEBUFF    = "SmartDebuff";

-- Options Frame Tooltip Text
SMARTBUFF_OFTT               = "Toggles SmartBuff On/Off";
SMARTBUFF_OFTT_AUTO          = "Toggles the buff reminder On/Off";
SMARTBUFF_OFTT_AUTOTIMER     = "Delay in seconds between two checks.";
SMARTBUFF_OFTT_AUTOCOMBAT    = "Run the check also in combat.";
SMARTBUFF_OFTT_AUTOCHAT      = "Displays missing buffs as chat message.";
SMARTBUFF_OFTT_AUTOSPLASH    = "Displays missing buffs as splash message\nin the middle of the screen.";
SMARTBUFF_OFTT_AUTOSOUND     = "Plays a sound if buffs are missing.";
SMARTBUFF_OFTT_AUTOREST      = "Disable reminder in capital cities";
SMARTBUFF_OFTT_HUNTERPETS    = "Buff the Hunter pets as well.";
SMARTBUFF_OFTT_WARLOCKPETS   = "Buff the Warlock pets as well, except the " .. SMARTBUFF_DEMONTYPE .. ".";
SMARTBUFF_OFTT_ARULES        = "Does not cast:\n- Thorns on Mages, Priests and Warlocks\n- Arcane Intellect on units without Mana\n- Divine Spirit on units without Mana";
SMARTBUFF_OFTT_SUBGRPCHANGED = "Automatically opens the SmartBuff options menu,\nwhen you have changed the subgroup.";
SMARTBUFF_OFTT_GRPBUFFSIZE   = "How many players missing the groupbuff and have to be in\nthe group, that the groupbuff will casted.";
SMARTBUFF_OFTT_HIDEMMBUTTON  = "Hides the SmartBuff minimap button.";
SMARTBUFF_OFTT_REBUFFTIMER   = "How many seconds before a buff expires,\nthe reminder should alert you.\n0 = Deactivated";
SMARTBUFF_OFTT_SELFFIRST     = "Buffs your character first of all others.";
SMARTBUFF_OFTT_SCROLLWHEELUP = "Cast buffs when you roll your\nscrollwheel forward.";
SMARTBUFF_OFTT_SCROLLWHEELDOWN = "Cast buffs when you roll your\nscrollwheel backward.";
SMARTBUFF_OFTT_TARGETSWITCH  = "Cast buffs when you switch your target.";
SMARTBUFF_OFTT_BUFFTARGET    = "Buffs first the current target,\nif it is friendly.";
SMARTBUFF_OFTT_BUFFPVP       = "Buff PvP flagged players,\nalso if you are not PvP flagged.";
SMARTBUFF_OFTT_AUTOSWITCHTMP = "Automatically switches the template,\nif the group type changes.";
SMARTBUFF_OFTT_AUTOSWITCHTMPINST = "Automatically switches the template,\nif the instance changes.";
SMARTBUFF_OFTT_CHECKCHARGES  = "Displays low amount of\ncharges on a buff.\n0 = Deactivated";
SMARTBUFF_OFTT_BUFFINCITIES  = "Buffs also if you are in capital cities.\nIf you are PvP flagged, it buffs in any case.";
SMARTBUFF_OFTT_CTRASYNC      = "Activate syncronisation with CTRA\nto retrive the bufftime left from other players.\nWorks only in raids.";
SMARTBUFF_OFTT_ADVGRPBUFFCHECK = "The advanced group buff check is also looking\non single buffs on the group buff check.";
SMARTBUFF_OFTT_ADVGRPBUFFRANGE = "The advanced group range check is also looking\nif each player in group is in range.";
SMARTBUFF_OFTT_BLDURATION    = "How many seconds, players will be blacklistet.\n0 = Deactivated";
SMARTBUFF_OFTT_COMPMODE      = "Compatibility mode\nAttention!!!\nUses this mode only, if you are\nfacing problems to cast buffs on yourself.";
SMARTBUFF_OFTT_MINIGRP       = "Show raid subgoup settings in an\nown movable mini group frame.";
SMARTBUFF_OFTT_ANTIDAZE      = "Automatically cancels the\naspect of the cheetah/pack\nif someone gets dazed\n(self or group).";
SMARTBUFF_OFTT_SPLASHSTYLE   = "Changes the fontstyle of\nthe buff messages.";
SMARTBUFF_OFTT_HIDESABUTTON  = "Hides the SmartBuff action button.";
SMARTBUFF_OFTT_INCOMBAT      = "At the moment it only works on yourself.\nThe first buff you mark as in combat,\nwill set on the button before combat\nand you can use it in combat.\nWarning! All logic is disabled in combat!";
SMARTBUFF_OFTT_SMARTDEBUFF   = "Shows the SmartDebuff frame.";
SMARTBUFF_OFTT_SPLASHDURATION= "How many seconds the splash\nmessage will displayed,\nbefore it fades.";

-- Buffsetup Frame Text
SMARTBUFF_BST_SELFONLY       = "Oneself only";
SMARTBUFF_BST_SELFNOT        = "Oneself not";
SMARTBUFF_BST_COMBATIN       = "In combat";
SMARTBUFF_BST_COMBATOUT      = "Out of combat";
SMARTBUFF_BST_MAINHAND       = "Main Hand";
SMARTBUFF_BST_OFFHAND        = "Off Hand";
SMARTBUFF_BST_REMINDER       = "Notification";
SMARTBUFF_BST_MANALIMIT      = "Lower bound";

-- Buffsetup Frame Tooltip Text
SMARTBUFF_BSTT_SELFONLY      = "Buffs only your character.";
SMARTBUFF_BSTT_SELFNOT       = "Buffs all other selected classes,\nexcept your character.";
SMARTBUFF_BSTT_COMBATIN      = "Buffs if you are in combat.";
SMARTBUFF_BSTT_COMBATOUT     = "Buffs if you are out of combat.";
SMARTBUFF_BSTT_MAINHAND      = "Buffs the Main Hand.";
SMARTBUFF_BSTT_OFFHAND       = "Buffs the Off Hand.";
SMARTBUFF_BSTT_REMINDER      = "Display reminder message.";
SMARTBUFF_BSTT_REBUFFTIMER   = "How many seconds before a buff expires,\nthe reminder should alert you.\n0 = global rebuff timer";
SMARTBUFF_BSTT_MANALIMIT     = "Mana/Rage/Energy threshold\nIf you are below this value\nit will not cast the buff.";

-- Playersetup Frame Tooltip Text
SMARTBUFF_PSTT_RESIZE        = "Minimize/maximize\nthe main options frame";

-- Messages
SMARTBUFF_MSG_LOADED         = "loaded";
SMARTBUFF_MSG_DISABLED       = "SmartBuff is disabled!";
SMARTBUFF_MSG_SUBGROUP       = "You've joined a new subgroup, please check the options!";
SMARTBUFF_MSG_NOTHINGTODO    = "Nothing to do";
SMARTBUFF_MSG_BUFFED         = "buffed";
SMARTBUFF_MSG_OOR            = "is out of range to buff!";
--SMARTBUFF_MSG_CD             = "has cooldown!";
SMARTBUFF_MSG_CD             = "Global cooldown!";
SMARTBUFF_MSG_CHAT           = "not possible in chat mode!";
SMARTBUFF_MSG_SHAPESHIFT     = "Casting is not allowed in shapeshift form!";
SMARTBUFF_MSG_NOACTIONSLOT   = "needs a slot in an actionbar to working properly!";
SMARTBUFF_MSG_GROUP          = "Group";
SMARTBUFF_MSG_NEEDS          = "needs";
SMARTBUFF_MSG_OOM            = "Not enough mana/rage/energy!";
SMARTBUFF_MSG_STOCK          = "Actual stock of";
SMARTBUFF_MSG_NOREAGENT      = "Out of reagent:";
SMARTBUFF_MSG_DEACTIVATED    = "deactivated!";
SMARTBUFF_MSG_REBUFF         = "Rebuff";
SMARTBUFF_MSG_LEFT           = "left";
SMARTBUFF_MSG_CLASS          = "Class";
SMARTBUFF_MSG_CHARGES        = "charges";

-- Support
SMARTBUFF_MINIMAP_TT         = "Left click: options menu\nRight click: On/Off\nAlt-Left Click: SmartDebuff\nShift drag: Move button";
SMARTBUFF_TITAN_TT           = "Left Click: Open options\nRight Click: On/Off\nAlt-Left Click: SmartDebuff";
SMARTBUFF_FUBAR_TT           = "\nLeft Click: Open options\nShift-Left Click: On/Off\nAlt-Left Click: SmartDebuff";

SMARTBUFF_DEBUFF_TT          = "Shift-Left drag: Move frame\n|cff20d2ff- S button -|r\nLeft click: Show by classes\nShift-Left click: Class colors\nAlt-Left click: Highlight L/R\n|cff20d2ff- P button -|r\nLeft click: Hide pets on/off";


-- Code table
--  : \195\160     : \195\168     : \195\172     : \195\178     : \195\185
--  : \195\161     : \195\169     : \195\173     : \195\179     : \195\186
--  : \195\162     : \195\170     : \195\174     : \195\180     : \195\187
--  : \195\163     : \195\171     : \195\175     : \195\181     : \195\188
--  : \195\164                     : \195\177     : \195\182
--  : \195\166                                     : \195\184
--  : \195\167                                     : \197\147
-- 
--  : \195\132
--  : \195\150
--  : \195\156
--  : \195\159

